EMF::OBJECT Class Referenceabstract

Global GDI object. More...

`#include <libemf.h>`

Inheritance diagram for EMF::OBJECT:

## Public Member Functions

virtual | ~OBJECT ()
| OBJECTs have a virtual destructor.
| OBJECT (void)
virtual OBJECTTYPE | getType (void) const =0

## Data Fields

HGDIOBJ | handle

## Detailed Description

Global GDI object.

The GDI interface defines objects in terms of handles (rather than pointers). In order to emulate this, each object is placed into a global list and the index in that list becomes their handle.

## Constructor & Destructor Documentation

## OBJECT()

EMF::OBJECT::OBJECT | ( | void |  | ) |

inline

Create a new object. It's up to a subclass to create a real handle for this object.

## Member Function Documentation

## getType()

virtual OBJECTTYPE EMF::OBJECT::getType | ( | void |  | ) | const

pure virtual

Return the type of the object.

Implemented in EMF::PEN, EMF::EXTPEN, EMF::BRUSH, EMF::FONT, EMF::PALETTE, and EMF::METAFILEDEVICECONTEXT.

## Field Documentation

## handle

HGDIOBJ EMF::OBJECT::handle

The handle of a GDI object.

Referenced by EMF::METAFILEDEVICECONTEXT::clearHandle().

The documentation for this class was generated from the following file:

- libemf.h